# Gimp.RunExportFunc

    @accepts(Gimp.Procedure, Gimp.RunMode, Gimp.Image, Gio.File, Gimp.ExportOptions, Gimp.Metadata, Gimp.ProcedureConfig, gpointer)
    @returns(Gimp.ValueArray)
    def on_RunExportFunc(procedure, run_mode, image, file, options, metadata, config, run_data):

The export function is run during the lifetime of the GIMP session, each time a plug-in export procedure is called.

If a MimeType was passed in Gimp.ExportProcedure.new, then metadata will be non-None and can be tweaked by the run() function if needed. Otherwise you can let it as-is and it will be stored back into the exported file according to rules on metadata export shared across formats.

Since 3.0

procedure

  the Gimp.Procedure that runs.

run_mode

  the Gimp.RunMode.

image

  the image to export.

file

  the Gio.File to export to.

options

  the Gimp.ExportOptions settings.

metadata

  metadata object prepared for the mimetype passed in Gimp.FileProcedure.set_mime_types if export_metadata argument was set in Gimp.ExportProcedure.new.

config

  the procedure's remaining arguments.

run_data

  the run_data given in Gimp.ExportProcedure.new.

Returns

  the procedure's return values.